RDKit::SmilesParseException Class Reference

`#include <SmilesParse.h>`

Inheritance diagram for RDKit::SmilesParseException:

## Public Member Functions

| SmilesParseException (const char *msg)
| SmilesParseException (const std::string msg)
const char * | message () const
| ~SmilesParseException () throw ()

## Detailed Description

Definition at line 58 of file SmilesParse.h.

## Constructor & Destructor Documentation

RDKit::SmilesParseException::SmilesParseException | ( | const char * | msg | ) |

inline

Definition at line 60 of file SmilesParse.h.

RDKit::SmilesParseException::SmilesParseException | ( | const std::string | msg | ) |

inline

Definition at line 61 of file SmilesParse.h.

RDKit::SmilesParseException::~SmilesParseException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 63 of file SmilesParse.h.

## Member Function Documentation

const char* RDKit::SmilesParseException::message | ( |  | ) | const

inline

Definition at line 62 of file SmilesParse.h.

The documentation for this class was generated from the following file:

- SmilesParse.h